[project]
name = "cftc_cot"
version = "0.1.0"
description = "CFTC Commitment of Traders data extractor"
requires-python = ">=3.13"
dependencies = [
    "extract_core",
    "niquests>=3.14.1",
]

[project.scripts]
extract_cot = "cftc_cot.execute:extract_cot_dataset"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["src/cftc_cot"]
